Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.velocity.template
Class TilesVelocityRepository

    java.lang.Object
      org.apache.tiles.velocity.template.TilesVelocityRepository

Deprecated. Use Velocity directives.

    @Deprecated
    public class TilesVelocityRepository

extends java.lang.Object

Collects all Tiles+Velocity models.

Since:
  2.2.0
Version:
  $Rev: 901361 $ $Date: 2010-01-20 21:10:27 +0100 (mer, 20 gen 2010) $

Constructor Summary
`TilesVelocityRepository(javax.servlet.ServletContext servletContext)` Deprecated. Constructor.

Method Summary
`AddAttributeVModel` | `getAddAttribute()` Deprecated. Returns the "addAttribute" model.
`AddListAttributeVModel` | `getAddListAttribute()` Deprecated. Returns the "addListAttribute" model.
`DefinitionVModel` | `getDefinition()` Deprecated. Returns the "definition" model.
`GetAsStringVModel` | `getGetAsString()` Deprecated. Returns the "getAsString" model.
`ImportAttributeVModel` | `getImportAttribute()` Deprecated. Returns the "importAttribute" model.
`InsertAttributeVModel` | `getInsertAttribute()` Deprecated. Returns the "insertAttribute" model.
`InsertDefinitionVModel` | `getInsertDefinition()` Deprecated. Returns the "insertDefinition" model.
`InsertTemplateVModel` | `getInsertTemplate()` Deprecated. Returns the "insertTemplate" model.
`PutAttributeVModel` | `getPutAttribute()` Deprecated. Returns the "putAttribute" model.
`PutListAttributeVModel` | `getPutListAttribute()` Deprecated. Returns the "putListAttribute" model.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TilesVelocityRepository

    public TilesVelocityRepository(javax.servlet.ServletContext servletContext)

  Deprecated.
  Constructor.

  Parameters:
    `servletContext` - The servlet context.
  Since:
    2.2.0

Method Detail

### getAddAttribute

    public AddAttributeVModel getAddAttribute()

  Deprecated.
  Returns the "addAttribute" model.

  Returns:
    The model.
  Since:
    2.2.0

### getAddListAttribute

    public AddListAttributeVModel getAddListAttribute()

  Deprecated.
  Returns the "addListAttribute" model.

  Returns:
    The model.
  Since:
    2.2.0

### getDefinition

    public DefinitionVModel getDefinition()

  Deprecated.
  Returns the "definition" model.

  Returns:
    The model.
  Since:
    2.2.0

### getGetAsString

    public GetAsStringVModel getGetAsString()

  Deprecated.
  Returns the "getAsString" model.

  Returns:
    The model.
  Since:
    2.2.0

### getImportAttribute

    public ImportAttributeVModel getImportAttribute()

  Deprecated.
  Returns the "importAttribute" model.

  Returns:
    The model.
  Since:
    2.2.0

### getInsertAttribute

    public InsertAttributeVModel getInsertAttribute()

  Deprecated.
  Returns the "insertAttribute" model.

  Returns:
    The model.
  Since:
    2.2.0

### getInsertDefinition

    public InsertDefinitionVModel getInsertDefinition()

  Deprecated.
  Returns the "insertDefinition" model.

  Returns:
    The model.
  Since:
    2.2.0

### getInsertTemplate

    public InsertTemplateVModel getInsertTemplate()

  Deprecated.
  Returns the "insertTemplate" model.

  Returns:
    The model.
  Since:
    2.2.0

### getPutAttribute

    public PutAttributeVModel getPutAttribute()

  Deprecated.
  Returns the "putAttribute" model.

  Returns:
    The model.
  Since:
    2.2.0

### getPutListAttribute

    public PutListAttributeVModel getPutListAttribute()

  Deprecated.
  Returns the "putListAttribute" model.

  Returns:
    The model.
  Since:
    2.2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.